<!doctype html>
<html>
<head>
    <title>New Release: Tor Browser for Android 1.0a2 | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="New Release: Tor Browser for Android 1.0a2 | Tor Project">
    <meta property="og:description" content="Tor Browser for Android 1.0a2 is now available from the Tor Browser Project page and also from...">
    <meta property="og:image" content="https://blog.torproject.org/new-release-tor-browser-android-10a2/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/new-release-tor-browser-android-10a2/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        New Release: Tor Browser for Android 1.0a2
      </h1>
    <p class="meta">by sysrqb | October 10, 2018</p>
    <picture>
      
      <img class="lead" src="lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Tor Browser for Android 1.0a2 is now available from the <a href="https://www.torproject.org/projects/torbrowser.html.en#downloads-alpha" rel="nofollow">Tor Browser Project page</a> and also from our <a href="https://dist.torproject.org/torbrowser/mobile/1.0a2/" rel="nofollow">distribution directory</a>.</p>

<p>This release features important <a href="https://www.mozilla.org/en-US/security/advisories/mfsa2018-24/" rel="nofollow">security updates</a> to Firefox. We picked up the necessary patches, but because we needed to start building before Mozilla was ready with a first candidate build, we did not bump the Firefox version to 60.2.2esr. Thus, users are fine with Tor Browser for Android 1.0a2 even though the Firefox version is 60.2.1esr.</p>

<p>Note, this release is only available for Android 4.1 and later running on an ARM processor (most phones and some tablets). If you have an Android device running on an Intel processor, then please wait for a future release when that will be supported.</p>

<p>We are also very happy to announce the Guardian Project, our long-time mobile partner, will provide Tor Browser for Android on their <a href="https://f-droid.org/" rel="nofollow">F-Droid</a> repository. If you would prefer installing the app from F-Droid, please follow these steps:</p>

<ol>
<li>Install the F-Droid app on your Android device from <a href="https://f-droid.org" rel="nofollow">the website</a></li>
<li>After installing F-Droid, open the app</li>
<li>At the lower-right-hand corner, open "Settings"</li>
<li>Under the "My Apps" section, open Repositories</li>
<li>Toggle "Guardian Project Official Releases" as enabled</li>
<li>Now F-Droid downloads the list of apps from the Guardian Project's repository (Note: this may take a few minutes)</li>
<li>Tap the Back button at the upper-left-hand corner</li>
<li>Open "Latest" at the lower-left-hand corner</li>
<li>Open the search screen by tapping the magnifying glass at the lower-right side</li>
<li>Search for "Tor Browser for Android (Alpha)"</li>
<li>Open the query result by "The Tor Project" and install</li>
</ol>

<p>The full changelog since Tor Browser for Android 1.0a1 is:</p>

<ul>
<li>Update Firefox to 60.2.1esr</li>
<li>Backport fix for Mozilla bug 1493900 and 1493903</li>
</ul>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/releases">
          releases
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-278027"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278027" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Micio (not verified)</span> said:</p>
      <p class="date-time">October 12, 2018</p>
    </div>
    <a href="#comment-278027">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278027" class="permalink" rel="bookmark">An excellent  improved  app…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>An excellent  improved  app.I did it get a round today and I have found TBB for Android really fast than the last version and more security  is actives especially  for sites which are not so trusted as far as has showed  the guard in which I was running on TOR. Onion sites as well  as clear net, I think that you are doing a big work  ,your goal that a day we can use it (TBB for Android ) without  Orbot is real apreciated  ,thanks  team.Sorry for my English  .</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-278029"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278029" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Thor Browser Bundle (not verified)</span> said:</p>
      <p class="date-time">October 13, 2018</p>
    </div>
    <a href="#comment-278029">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278029" class="permalink" rel="bookmark">Thank you so much for your…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank you so much for your hard work. The f-droid availability allows me to update easily and without issues. Loving Tor for Android so far</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-278036"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278036" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>C++ and Java + J2EE (not verified)</span> said:</p>
      <p class="date-time">October 13, 2018</p>
    </div>
    <a href="#comment-278036">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278036" class="permalink" rel="bookmark">how to testing that software…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>how to testing that software in virtual box of using window 10 ?</p>
<p>When will the always on tunnel thought all Traffic to .onion</p>
<p>Why don't integrate Chat secure and open Keychain and Cryptocurrency wallet  in that B rower?</p>
<p>many Thanks from Swiss Alps using mobile VSAT communication</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-278279"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278279" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>cypherpunks (not verified)</span> said:</p>
      <p class="date-time">October 26, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-278036" class="permalink" rel="bookmark">how to testing that software…</a> by <span>C++ and Java + J2EE (not verified)</span></p>
    <a href="#comment-278279">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278279" class="permalink" rel="bookmark">you can install http://www…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>you can install <a href="http://www.android-x86.org/download" rel="nofollow">http://www.android-x86.org/download</a>  in virtual box for testing this app with orbot app together. as it is alhpa, this needs alot of testing!</p>
<blockquote><p>When will the always on tunnel thought all Traffic to .onion</p></blockquote>
<p> you can set  always on tunnel for all apps android wide and it will tunnel all to onion. you can verify by opening other browser, firefox/chrome app for example and browse to: <a href="http://expyuzz4wqqyqhjn.onion/" rel="nofollow">http://expyuzz4wqqyqhjn.onion/</a></p>
<p><span class="geshifilter"><code class="php geshifilter-php">Why don<span style="color: #0000ff;">'t integrate Chat secure</span></code></span><br />
<strong>don't</strong> integrate Chat secure, use messanger that integrate tor itself! You are looking for:<br />
<a href="https://briarproject.org/" rel="nofollow">https://briarproject.org/</a> greetings to  Swiss Alps f</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-278038"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278038" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Micio (not verified)</span> said:</p>
      <p class="date-time">October 13, 2018</p>
    </div>
    <a href="#comment-278038">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278038" class="permalink" rel="bookmark">Good improvement  in my …</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Good improvement  in my  device now is more fast TBB on Android and  I have  seen  that my guard is working  best about scam sites on Tor as well as clear  net.Very surprise as far as concerns  these sites especially  on clear net.Really  good job has been  done guys .Thanks a lot to the developers .?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-278041"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278041" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>vbox whonix (not verified)</span> said:</p>
      <p class="date-time">October 13, 2018</p>
    </div>
    <a href="#comment-278041">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278041" class="permalink" rel="bookmark">if you enable virtualbox and…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>if you enable virtualbox and whonix workstation and gateway you can't seem to connnect tor from your nonvirtualbox desktop.....why? it says refuse conneciton due to proxy</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-278083"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278083" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>michael (not verified)</span> said:</p>
      <p class="date-time">October 16, 2018</p>
    </div>
    <a href="#comment-278083">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278083" class="permalink" rel="bookmark">I am glade to have your…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I am glade to have your programs</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-278098"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278098" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>@skeexiii (not verified)</span> said:</p>
      <p class="date-time">October 17, 2018</p>
    </div>
    <a href="#comment-278098">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278098" class="permalink" rel="bookmark">Thank you Torproject team…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank you Torproject team. Good improvement, though here in Uganda we do have issues with the internet speeds. It may not favour so much someone who wants to stream but with other content opening it's great. Looking forward for more improvement so that we can fully embrace it and ignore other browsers for safety, privacy and censorship.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-278280"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278280" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>cypherpunks (not verified)</span> said:</p>
      <p class="date-time">October 26, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-278098" class="permalink" rel="bookmark">Thank you Torproject team…</a> by <span>@skeexiii (not verified)</span></p>
    <a href="#comment-278280">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278280" class="permalink" rel="bookmark">you ca stream without…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>you ca stream without problem, go and get up a relay running in or near Uganda as guard or using it as a bridge will help yourself</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-278122"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278122" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 18, 2018</p>
    </div>
    <a href="#comment-278122">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278122" class="permalink" rel="bookmark">When you close Tor Browser…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>When you close Tor Browser for Android 1.0a2 and reopen it, old visited sites reload. ( maybe last open tabs? )<br />
This is a privacy risk and a serious risk in some circumstances.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-278281"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278281" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>cypherpunks (not verified)</span> said:</p>
      <p class="date-time">October 26, 2018</p>
    </div>
    <a href="#comment-278281">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278281" class="permalink" rel="bookmark">Bug: sadly the copy/paste…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Bug: sadly the copy/paste function does not work in this browser :( file downloads with alpha browser not finish. else it is very good</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-278442"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278442" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Eve Hunt (not verified)</span> said:</p>
      <p class="date-time">November 09, 2018</p>
    </div>
    <a href="#comment-278442">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278442" class="permalink" rel="bookmark">An important thing to note…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>An important thing to note between the Darkweb an the Deepweb is that the darkweb is the illegal section, and it is NOT 400 times larger than the surface web. The deep web is only 400 times larger because it contains dynamically-generated webpages also. For example, the profile settings page on your facebook or twitter? That is deep web. Because that web page is only catered to you, it is dynamically created when you access it, and when you leave it, it will disappear (hence why it is so hard to determine the size of the deepnet). Remember, the darknet and the deepnet are NOT interchangeable terms, because the deepweb is mostly filled with dynamic pages catered to their users.</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
